%define name    booh
%define version 0.9.3
%define release %mkrel 6
%define	title       Booh
%define	longtitle   Web-Album generator

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Web-Album generator
License:        GPLv2
Group:          Graphics/Editors and Converters
URL:            http://www.booh.org
Source:         http://www.booh.org/packages/%{name}-%{version}.tar.bz2
Patch0:         booh-0.9.3-use-rubygems.patch
Requires:       ruby-gtk2 >= 0.12
Requires:       ruby-gettext >= 0.8.0
Requires:       mplayer
Requires:       exif
Requires:       gimp
Requires:       imagemagick
BuildRequires:  ruby-devel
BuildRequires:  ruby-glib2-devel
BuildRequires:  gettext
BuildRequires:  imagemagick
BuildRequires:  libgdk_pixbuf2.0-devel
BuildRequires:  libgtk+2.0-devel
BuildRequires:  libexiv-devel

%description
Yet another Web-Album generator. Highlights:

  * automatic rotation of portrait images thanks to information
    put by digital camera in .jpg file (EXIF)
  * immediate display of images (preloading in browser)
  * keep position of "next/previous" hyperlinks in browser
    between images
  * full video support (including thumbnailing)
  * clever use of the whole space of a typical browser window
    (the need to scroll portrait images is stupid)
  * themability
  * sub-albums support
  * remember your preferred size of thumbnails accross sub-albums
  * multi-processor support to speed up thumbnails generation
  * smooth integration of panoramic images in thumbnails pages
  * multi-languages web-album navigation (navigation links are
    automatically shown in user's language)
  * a GUI to input captions, rotate, reorder and remove
    images FAST (extensive use of keyboard shortcuts)
  * another GUI to classify photos and videos in a powerful manner

%prep
%setup -q
%patch0 -p 1

%build
ruby setup.rb config --rbdir=%ruby_vendorlibdir --sodir=%ruby_vendorarchdir
ruby setup.rb setup
cd ext
ruby extconf.rb --vendor
make

%install
ruby setup.rb install --prefix=%buildroot
cd ext
make install DESTDIR=%buildroot libdir=%buildroot%{_libdir} archdir=%buildroot%ruby_sitearchdir
cd ..


install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 644 desktop/booh.desktop %{buildroot}%{_datadir}/applications
install -m 644 desktop/booh-classifier.desktop %{buildroot}%{_datadir}/applications

perl -pi -e 's/^Icon=%{name}.*/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

# icons
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
cp desktop/booh-16x16.png %{buildroot}%{_miconsdir}/%{name}.png
cp desktop/booh-32x32.png %{buildroot}%{_iconsdir}/%{name}.png
cp desktop/booh-48x48.png %{buildroot}%{_liconsdir}/%{name}.png

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%find_lang %name --all-name 

%files -f %{name}.lang
%doc README
%{_bindir}/*
%{ruby_vendorlibdir}/%{name}*
%{ruby_vendorarchdir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-classifier.desktop
%{_mandir}/*/*
%{_iconsdir}/*.png
%{_iconsdir}/*/*.png
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.9.3-6.mga3
+ Revision: 347095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Nov 02 2012 fwang <fwang> 0.9.3-5.mga3
+ Revision: 312409
- update file list
- update rpm group
- rebuild for new ruby

* Sun Oct 09 2011 fwang <fwang> 0.9.3-4.mga3
+ Revision: 153410
- rebuild for new exiv2

  + guillomovitch <guillomovitch>
    - fix rubygem patch
    - patch0: fix usage of gettext as a ruby gem

* Tue Jul 19 2011 guillomovitch <guillomovitch> 0.9.3-1.mga2
+ Revision: 126774
- imported package booh

